# Copyright 2024- Le Filament (https://le-filament.com)
# License AGPL-3.0 or later (http://www.gnu.org/licenses/agpl.html)

from odoo import fields, models


class ProductTemplate(models.Model):
    _inherit = "product.template"

    # ------------------------------------------------------
    # Fields declaration
    # ------------------------------------------------------

    purchase_price_editable = fields.Boolean(
        "Le prix d'achat peut être édité depuis un devis.", default=False
    )

    # Change computed margin fields to stored
    list_price_vat_excl = fields.Float(store=True)
    standard_margin = fields.Float(store=True)
    standard_margin_rate = fields.Float(store=True)
    standard_markup_rate = fields.Float(store=True)

    # ------------------------------------------------------
    # SQL Constraints
    # ------------------------------------------------------

    # ------------------------------------------------------
    # Default methods
    # ------------------------------------------------------

    # ------------------------------------------------------
    # Computed fields / Search Fields
    # ------------------------------------------------------

    # ------------------------------------------------------
    # Onchange / Constraints
    # ------------------------------------------------------

    # ------------------------------------------------------
    # CRUD methods (ORM overrides)
    # ------------------------------------------------------

    # ------------------------------------------------------
    # Actions
    # ------------------------------------------------------

    # ------------------------------------------------------
    # Business methods
    # ------------------------------------------------------
